package com.example.pnexample.activities;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

import androidx.appcompat.app.AppCompatActivity;

import com.backendless.Backendless;
import com.backendless.async.callback.AsyncCallback;
import com.backendless.exceptions.BackendlessFault;
import com.backendless.push.DeviceRegistrationResult;
import com.example.pnexample.R;

public class Messaging_Activity extends AppCompatActivity {

    private static Button registerButton;
    private static Button unregisterButton;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.messaging_activity);


        registerButton = (Button) findViewById(R.id.register_button);
        unregisterButton = (Button) findViewById(R.id.unregister_button);




        registerButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Backendless.Messaging.registerDevice(new AsyncCallback<DeviceRegistrationResult>() {
                    @Override
                    public void handleResponse(DeviceRegistrationResult response) {
                        Toast.makeText(getApplicationContext(), "Device registered successfully to " + response.getChannelRegistrations() + " channels!", Toast.LENGTH_LONG).show();
                       
                    }

                    @Override
                    public void handleFault(BackendlessFault fault) {
                        Toast.makeText(getApplicationContext(), "Error occured: " + fault.getMessage(), Toast.LENGTH_LONG).show();
                        Log.e("Error", fault.getMessage());
                    }
                });
            }
        });

        unregisterButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Backendless.Messaging.unregisterDevice(new AsyncCallback<Integer>() {
                    @Override
                    public void handleResponse(Integer response) {
                        Toast.makeText(getApplicationContext(), "Device unregistered successfully!", Toast.LENGTH_LONG).show();
                    }

                    @Override
                    public void handleFault(BackendlessFault fault) {
                        Toast.makeText(getApplicationContext(), "Error occurred: " + fault.getMessage(), Toast.LENGTH_LONG).show();
                    }
                });
            }
        });
    }
}